# View Functions

View functions are new features available for chains using Runtime Metaada V16. It's available as part of the `ChainApi` interface through syntax: `client.view.<pallet>.<methodName>` similar to [runtime apis](/client-api/runtime-apis.md).&#x20;

```typescript
const provider = new WsProvider('wss://westend-rpc.polkadot.io');
const dedotClient = await DedotClient.create<WestendApi>(provider);

const shouldBeTrue: boolean = await client.view.proxy.isSuperset('Any', 'Governance');
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dedot.dev/client-api/view-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
